package main

import "fmt"

// section: main
func main() {
	a1 := [2]string{"one", "two"}
	a2 := [2]string{}

	a2 = a1

	fmt.Println("a1:", a1)
	fmt.Println("a2:", a2)

	a1[0] = "bob"

	fmt.Println("a1:", a1)
	fmt.Println("a2:", a2)
}

// section: main

/*
// section: output
a1: [one two]
a2: [one two]
a1: [bob two]
a2: [one two]
// section: output
*/
